#
# spec file for package transfig (Version 3.2.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash binutils bzip2 cairo coreutils cpio cpp cpp42 cracklib cups-libs cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gconf2 gconf2-lang gd gdbm gettext gettext-devel ghostscript-fonts-std ghostscript-library ghostscript-x11 glib2 glibc glibc-devel glibc-locale glitz grep groff gtk2 gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgimpprint libgomp42 libjpeg libjpeg-devel libltdl-3 libmudflap42 libnetpbm10 libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++42 libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg netpbm openssl-certs orbit2 pam pam-modules pango patch perl perl-Tk perl-base permissions pkg-config poppler popt rpm sed sysvinit t1lib tar texinfo texlive texlive-bin texlive-bin-latex texlive-latex timezone util-linux xaw3d xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           transfig
BuildRequires:  libjpeg-devel libpng-devel netpbm texlive-latex xorg-x11 xorg-x11-devel
License:        X11/MIT
Group:          Productivity/Graphics/Convertors
Provides:       transfig.3.2.3d
Requires:       netpbm ghostscript-library ghostscript-fonts-std
AutoReqProv:    on
Version:        3.2.5
Release:        28.2
Summary:        Graphic Converter
Source:         transfig.%{version}.tar.bz2
Patch0:         transfig.%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{expand: %%global _exec_prefix %(type -p pkg-config &>/dev/null && pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_exec_prefix" == "/usr/X11R6"
%global _mandir     %{_exec_prefix}/man
%define _x11data    %{_exec_prefix}/lib/X11
%define _data       $(LIBDIR)
%else
%define _x11data    %{_datadir}/X11
%define _data       $(SHAREDIR)
%endif

%description
TransFig is a set of tools for creating TeX documents with graphics
that are portable in the sense that they can be printed in a wide
variety of environments.

The transfig directory contains the source for the transfig command
which generates a Makefile which translates Fig code to various
graphics description languages using the fig2dev program.  In previous
releases, this command was implemented as a shell script.

Documentation: man transfig



Authors:
--------
    Anthony Starks     <ajs@merck.com>
    George Ferguson    <ferguson@cs.rochester.edu>
    Herbert Bauer      <heb@regent.e-technik.tu-muenchen.de>
    Micah Beck         <supoj@sally.utexas.edu>
    Supoj Sutantavibul <beck@cs.utk.ecu>

%debug_package
%prep
%setup -q -n transfig.%{version}
%patch
xmkmf -a -D_DATA='%{_data}'

%build
make CCOPTIONS="$RPM_OPT_FLAGS -fno-strict-aliasing -w"
make -C doc/manual/
rm -f   doc/manual/*.{log,toc,div}

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_x11data}/xfig/fig2dev
mkdir -p %{buildroot}%{_x11data}/xfig/bitmaps
make DESTDIR=%{buildroot} install      CCOPTIONS="$RPM_OPT_FLAGS -fno-strict-aliasing -w"
make DESTDIR=%{buildroot} install.man  CCOPTIONS="$RPM_OPT_FLAGS -fno-strict-aliasing -w"
mkdir -p %{buildroot}%{_docdir}/transfig/manual
install -m 644 [CLNR]*      %{buildroot}%{_docdir}/transfig/
install -m 644 doc/manual/* %{buildroot}%{_docdir}/transfig/manual/
rm -vf %{buildroot}%{_docdir}/transfig/manual/Makefile.orig
rm -vf %{buildroot}%{_docdir}/transfig/manual/*.aux
rm -vf %{buildroot}%{_docdir}/transfig/manual/*.toc
rm -vf %{buildroot}%{_docdir}/transfig/manual/*.log
rm -vf %{buildroot}%{_docdir}/transfig/manual/*.div

%files
%defattr(-,root,root)
%{_bindir}/fig2dev
%{_bindir}/fig2ps2tex
%{_bindir}/fig2ps2tex.sh
%{_bindir}/pic2tpic
%{_bindir}/transfig
%dir %{_x11data}/xfig
%{_x11data}/xfig/fig2dev/
%{_x11data}/xfig/bitmaps/
%doc %{_mandir}/man1/fig2dev.1x.gz
%doc %{_mandir}/man1/fig2ps2tex.1x.gz
%doc %{_mandir}/man1/pic2tpic.1x.gz
%doc %{_mandir}/man1/transfig.1x.gz
%doc %{_docdir}/transfig/
%changelog
* Mon Nov 05 2007 - werner@suse.de
- Fix typo which caused a missed white space (bug #339086)
* Tue Jul 24 2007 - werner@suse.de
- Update to transfig version 3.2.5 (bug ##267840)
  * SVG driver adds color and pattern filling to arcs
  from Martin Kroeker
  * bug which made arrowheads too short fixed
  * SVG driver corrects the ugly arrowheads on stick arrows
  from Martin Kroeker
  * EMF driver would crash when fed stdin
  from Martin Kroeker
  * Unhandled case for linetypes in latex driver
  * CUPS didn't like the order of some of the Postscript header
  from Ian Dall
  * Updated SVG driver from Martin Kroeker was missing from alpha6
  * Another SVG update: Use a font-family list of "Times,Symbol" for symbol
  characters - the Times fontface does not contain all elements of the
  Symbol font on all platforms
  * Typo in font name (was cmit10, should be cmti10) in MetaPost driver
  This bug fix was omitted from alpha6
  * Added -dPDFSETTINGS=/prepress option to ghostscript when generating
  PDF output to improve quality of bitmap graphics
  * Fill patterns now use PostScript Level 2 built-in pattern commands
  for Postscript/EPS/PDF and bitmap output
  From Konstantin Shemyak
  * Updated SVG driver from Martin Kroeker
  * New -K option to size bounding box to whole figure when exporting
  only certain depths
  From Dirk Osswald
  * Typo in font name (was cmit10, should be cmti10) in MetaPost driver
  * When all texts were "special" (LaTeX coded) in a figure, ISO
  characters weren't encoded in straight PS and PDF output
  * Bug in radius for circles in SVG driver (dev/gensvg.c)
  * fig2dev.man was missing many papersize options
  * Double fclose() in bitmap driver
  * Raster picture support added to SVG driver. (In SVG, this translates
  to a link to the image file plus rotation/scaling information.
  While 'conformant' SVG viewers need only support PNG and JPEG, there
  is no a filetype test, as there is no limit on supported formats
  in the standard, and e.g. Batik is able to display XBM and GIF in
  addition.  Added code for rounded boxes (polyline subtype 4).
  Added code for boxes, explicit support for polygons.  Added
  xml-space:preserve qualifier on texts to preserve whitespace. Rewrote
  fill pattern handling to generate patterns as needed - adding support
  for penwidth and color.  Corrected tiling of all shingle patterns and
  reversal of horizontal shingles.
  From Martin Kroeker
  * Better arrowheads in SVG driver.  Corrected font family selection.
  Corrected (and simplified) calculation of white-tinted fill colors
  (and removed the HSV/RGB conversion code).
  From Justus Piater
  * Typo in LATEX_AND_XFIG file. Text should be:
  \convertMPtoPDF{foo.0}{1}{1}
  It was missing parameters {1}{1}
  * Depth filter option -D was parsing range (e.g. 40:80) incorrectly
  Fix from Justus Piater
  * C++ style comments "//" changed to "/* */" in genmp.c
  * Integer overflow in computing some spline steps
  * \pagestyle{empty} added for epic/eepic driver so it doesn't produce
  unnecessary page number when LaTeXing
  * Many SVG driver enhancements from Martin Kroeker
  (martin@ruby.chemie.uni-freiburg.de)
  * New features in EMF driver from ITOH Yasufumi:
  support for locale text (if iconv() is available),
  arc box, open arc, rotated ellipse, picture,
  dash-triple-dotted line style, and all fill patterns.
  * "cleandir" directive missing from doc/manual/Makefile
  * Added note about requiring dummy argument for -R option
  * SVG driver bug fixes: semicolon missing in CSS properties, multiline
  string problem, width, height and viewbox attributes now relative to
  figure bounds instead of pagesize. Fixes from Justus Piater.
  * Font info was put in the pstex file even when there were only special
  texts.
  * Global option "-Z maxdim" to scale figure so that largest dimension
  (width or height) is maxdim inches
  * Shapepar driver to generate shaped paragraphs for LaTeX (-L shape)
  from Christian Gollwitzer
  * I18N support postscript file installation moved to fig2dev/dev
  directory and installed with InstallNonExecFile (imake directive)
  * options -dAutoFilterColorImages=false and -dColorImageFilter=/FlateEncode
  added to ghostscript call when exporting to pdf to improve image
  quality during compression
  * "Epoch" added to rpm spec
  * New HP/GL2 driver from Glenn Burkhardt with paper size selection,
  offset, centering and orientation options
  * comments about BINDIR added to fig2dev/Imakefile and transfig/Imakefile
  so user can easily change installation directory of both programs
  * MKDIRHIER used in Imakefile for installing support files instead of mkdir
  * commands like \\small used instead of SetFigFont for thick and thin
  dots for LaTeX export
  From Bo Thilde
  * removed typedefs of uint, ushort and ulong from genemf.h because
  systems should already have those defined
  * SVG driver not mentioned in fig2dev.1 (.man)
  * shortened two fprintf calls in gensvg.c for HP-UX which can't handle
  long strings
  * If an imported picture path points to some directory which is not the
  current directory, and there exists a picture file of the same name in
  the current directory, and the correct file is not compressed, fig2dev
  would use the file in the current directory because it stripped off
  the path first.  This was fixed by looking for the uncompressed name
  first.
  * Color values should be divided by 255, not 256 to produce values from
  0 to 1.0 in LaTeX, Tk and PostScript drivers, and readpng and readpcx
  utilities
  * Increased precision of arc angles from %%.1f to %%.4f in PS/EPS/PDF
  driver
  * Postscript support files now installed with r/w permissions only (was
  r/w/x)
  * Metapost (mp) driver now generates all Fig styles of arrowheads
  From Tim Braun
  * Bug in pic preamble - default font size either 0 or garbage
  * PDF not rotated anymore for landscape mode (similar to eps)
  * fontmag not set when magnification was read from Fig file
  * When there were only LaTeX special texts without backslashes (\) and
  no other objects in the figure, a bounding box of 0 width was produced
  for EPS, PS and PSTEX output.
  * Added ZLIBDIR variable in fig2dev/Imakefile to specify zlib directory
  if different from standard location
  * pstex_t export lacked border option (-b) to align LaTeX text when
  pstex figure specified border (also fixed in xfig Combined PS/LaTeX)
  * warnings in gentpic.c caused failure of gcc on hppa architecture under
  Debian
  * cleaned up lots of implicit declarations of functions/procs
  * transfig: the "psfig" language was missing from the list of languages,
  making things go out of sync past "ps".
  * transfig: "transfig -L pstex" was generating rules for ps not eps
  * slight margin added to text bounds
  * an incorrect printf specification (%%d instead of %%ld) in gemp.c
  * "#include <varargs.h>" no longer needed (and is unsupported by gcc 3.3)
  * Not a bug, really but a workaround for programs that generate Fig files
  with arcs that have coincident start and end points with the intent
  of making a circle (TCM apparently does this).  Without this
  workaround, such arcs have the same start and end angle, which
  ghostcript and probably other PostScript interpreters take to mean
  "don't draw anything".  This fix adds 0.01 degrees to the end angle
  if it is identical to the start angle.
  * Exporting a file with a picture containing a path with blanks failed
  * Incorrect ISO translation was:
  "\\.S", /* latin capital letter S with dot above */
  Should be:
  "\\.Z", /* latin capital letter Z with dot above */
  * LaTeX: Correction to the ISO-8859-2 ogonek diacritic mark now uses \k
  instead of cedilla (\c).  If the macro \k isn't defined in your
  situation or you don't see the ogonek then define the macro: \def\k#1{\c{#1}}
  before the \begin{document}.
  From Jerzy Sobczyk
  * Bug in user-defined colors when exporting to CGM. If color numbers
  weren't contiguous, e.g. 32, 34, then it couldn't find color 34.
  * glyphs in the Symbol font that have descenders weren't taken into
  account when calculating text bounds
  * missing blue and extra brown color in LaTeX driver
  * \smash directive added back to text objects in eepic driver (was removed
  in 3.2.4)
  * Quotes in FIG2DEV_LIBDIR definition (fig2dev/Imakefile) interferred when
  using $DESTDIR
  * Comments not inserted in EMF output anymore (not valid in language)
  * float/int mixup in printf in pic driver for font size caused default
  font size to be 0
  * bug in hp/gl (ibmgl) driver produced incorrect JCL code to enter HP/GL
  mode when using -k option
  * point size factor changed from 72.27 to 72 points per inch as specified
  by HP tech notes
  * change in 3.2.4 which included all "special" (LaTeX) texts in the
  bounding box that don't have any backslashes ("\") in them failed to
  take into account inline equations using the "$".  Now those special
  texts are also excluded from the bounding box calculation.
  * various man page format errors fixed
* Wed May 16 2007 - sbrabec@suse.cz
- Require GhostScript, needed for PS and PDF output.
* Fri Apr 20 2007 - aj@suse.de
- Use texlive for building.
* Mon Jul 31 2006 - werner@suse.de
- Make it build with X11R7
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 28 2005 - meissner@suse.de
- -Wno-all is actually -w (all warnings off).
  Use $RPM_OPT_FLAGS to get other architecture flags.
* Thu Mar 11 2004 - werner@suse.de
- Avoid extrem long build logs
* Mon Feb 02 2004 - werner@suse.de
- Update to 3.2.4 (fix bug #34194)
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Jun 13 2003 - kukuk@suse.de
- Add missing directory to filelist
* Fri May 23 2003 - coolo@suse.de
- use BuildRoot
* Fri Nov 08 2002 - werner@suse.de
- Remove XCOMM definition to make new cpp happy
* Mon Jun 17 2002 - meissner@suse.de
- renamed text() to _text() to avoid conflicts of assemblername
  and sectionname .text on ppc64.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Dec 10 2001 - werner@suse.de
- Update to version 3.2.3d
* Tue Aug 21 2001 - werner@suse.de
- Fix bug #9024: echo style for fig2ps2tex should be bsd
* Fri Oct 20 2000 - werner@suse.de
- Add missed `$'
* Wed Oct 18 2000 - werner@suse.de
- Avoid epsfig style, use normal graphics style (bug# 4168)
  Fri Sep 15 17:01:53 CEST 2000 - werner
- Update to 3.2.3c to fit xfig version
  Wed May 31 16:26:42 CEST 2000 - werner
- Use %%{_defaultdocdir}
* Mon Mar 27 2000 - uli@suse.de
- fixed minor blooper in fig2dev/Imakefile (now calls mkdir with -p)
* Mon Mar 27 2000 - werner@suse.de
- Avoid sparc nasties
* Fri Mar 24 2000 - werner@suse.de
- New version 3.2.3 for the new xfig version
- Fix some common nasties
- Disable some doubles like getopt
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Oct 29 1998 - ro@suse.de
- update to 3.2.1
* Thu Sep 17 1998 - ro@suse.de
- dont redeclare sys_errlist for glibc
* Fri Oct 10 1997 - florian@suse.de
- update to version 3.2
* Wed Oct 08 1997 - ro@suse.de
- Prepared package for automatic build
* Tue May 27 1997 - florian@suse.de
- update to version 3.2.0-beta2
